#
# spec file for package yast2-module-autoinst (Version 2.5.27)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ImageMagick dejagnu docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 expat expect freetype2 iso_ent jade_dsl liblcms libpng libscr liby2 libycp libycp-devel libyui perl-Text-DelimMatch perl-URI perl-XML-DOM perl-XML-Parser perl-XML-RegExp perl-XML-Simple perl-libwww-perl sp sp-devel tcl xf86 yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim ImageMagick autoconf automake binutils cracklib dejagnu docbook-dsssl-stylesheets docbook-toys docbook_3 docbook_4 expat expect freetype2 gcc gdbm gettext iso_ent jade_dsl liblcms libpng libscr libtool liby2 libycp libycp-devel libyui libz pam perl perl-Text-DelimMatch perl-URI perl-XML-DOM perl-XML-Parser perl-XML-RegExp perl-XML-Simple perl-libwww-perl rpm sp sp-devel tcl xdevel xf86 xshared yast2-agent-system yast2-base yast2-core-scr yast2-core-wfm yast2-devtools yast2-testsuite ycpdoc

Name:         yast2-module-autoinst
License:      YaST License
Group:        System/YaST
Requires:     yast2 yast2-trans-autoinst yast2-lib-wizard yast2-lib-sequencer 
BuildArchitectures:	noarch
Summary:      Module for auto-installation with YaST2
Version:      2.5.27
Release:      0
Source0:      yast2-module-autoinst-2.5.27.tar.bz2

%description
Module for auto-installation with YaST2

SuSE series: yast

%prep
%setup -n yast2-module-autoinst-2.5.27

%build
./configure
make

%install
make install
make check
install -d $RPM_BUILD_ROOT/var/adm/autoinstall/scripts
install -d $RPM_BUILD_ROOT/var/adm/autoinstall/logs
install -d $RPM_BUILD_ROOT/var/adm/autoinstall/files

%clean
if [ -n "$RPM_BUILD_ROOT" ] ; then
   [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
fi

%files
%doc /usr/share/doc/packages/yast2-module-autoinst
%defattr(-,root,root)
%dir /usr/lib/YaST2/include/autoinstall
/usr/lib/YaST2/include/autoinstall/partitioning.ycp
/usr/lib/YaST2/include/autoinstall/autoinst_ui.ycp
/usr/lib/YaST2/include/autoinstall/autoinst_functions.ycp
/usr/lib/YaST2/modules/AutoInstall.ycp
/usr/lib/YaST2/clients/autoinst_init.ycp
/usr/lib/YaST2/clients/autoinst_setup.ycp
/usr/lib/YaST2/clients/autoinst_configure.ycp
/var/adm/autoinstall/

%changelog -n yast2-module-autoinst
* Wed Aug 07 2002 - nashif@suse.de
- Fixed bug #15845: force bootloader settings
- <reuse> fixed when extended partition is deleted.
* Tue Aug 06 2002 - nashif@suse.de
- show error message if profile is invalid
- fixed selection of specific partitions (recent changed triggered this)
- fixed undefined variable 'default_keyboard'
- LVM fixes, support multiple devices correctly
- really abort when  confirming installation
* Tue Jun 11 2002 - nashif@suse.de
- Fixed bug: Creation of a volume group on multiple physical volume was
  not implemented.
* Mon Jun 10 2002 - nashif@suse.de
- Fixed bug: handle kernel parameters correctly and add them to
  lilo.conf
* Tue Jun 04 2002 - nashif@suse.de
- Fixed bug: set keyboard language as specified and not dependent on
  language
* Wed May 15 2002 - nashif@suse.de
- fix partitioning problem with more than 4 partitions on a new disk
- fixed order of in LVM modify map to make it first create the physical
  volume
* Fri May 10 2002 - nashif@suse.de
- Bug fix: When supplying a clear text password, root password was
  not set due to a typo
* Wed May 01 2002 - nashif@suse.de
- Update package
- 2.5.23
* Thu Apr 18 2002 - nashif@suse.de
- fixed parsing of command line parameters, now also parse port number
  and handle colon in url (Bug #15847)
- In failure pop-up default to previously selected protocol (Bug #15847)
* Tue Mar 26 2002 - nashif@suse.de
- handle default behaviour (distinguish between medium root and installation
  root)
* Tue Mar 26 2002 - nashif@suse.de
- Through fix for #15430, runme_at_boot is not deleted in autoinst mode (inst_root is
  not called in autoinst mode). Remove runme_at_boot here
* Tue Mar 26 2002 - nashif@suse.de
- If a file referenced with file:// is not found on source medium, try to find it
  relative to the mount root/installation system
* Mon Mar 25 2002 - nashif@suse.de
- Fixed bug: Copy control file if specified with file:// from the right
  source location
- Fixed bug: return error if control file not found with file://
- indent code
- doc updates
* Tue Mar 19 2002 - nashif@suse.de
- finalized documentation
- default pesize for LVM is 4M and not 0
- bug #15082: Added call for missing printconf in post-intallation
* Fri Mar 15 2002 - nashif@suse.de
- Fixed bug #15005: Use /var/adm/autoinstall/logs instead of
  /var/adm/autoinstall/inst-logs for logging output of post scripts
- Documentation updates
- 2.5.18
* Mon Mar 04 2002 - nashif@suse.de
- Doc updates
- 2.5.17
* Sun Mar 03 2002 - nashif@suse.de
- added md5 support (bug #13250)
- added reboot options to force reboot after auto-installation
- Fixed problem with profile retrieval where functions returned false
  when they had to return true!
- use profile as id for sgml references instead of default one
* Thu Feb 28 2002 - nashif@suse.de
- Fixed bug#14084
* Thu Feb 28 2002 - nashif@suse.de
- Set the langauge correctly using the Language module
- Added debug messages in setup client
- Removed unused User module from autoinst_setup
- doc updates
* Tue Feb 26 2002 - nashif@suse.de
- use Language::language instead of Installation::Language
- Set selection to Minimal if nothing is declared
- Check for configured X11 correctly
* Mon Feb 18 2002 - nashif@suse.de
- use network data from installMap instead of scr
- doc updates
* Wed Feb 13 2002 - nashif@suse.de
- doc updates
- completed feature to have complete conf files which
  can be copied anywhere in the installed system
- completed feature to add any sysconfig variable given the path, key
  and value
- script directories are now created in the spec file
* Tue Feb 12 2002 - nashif@suse.de
- Create only selected partitions, if specified in control file
- 2.5.15
* Mon Feb 11 2002 - nashif@suse.de
- doc updates
- configure runlevel, inetd
- 2.5.14
* Tue Feb 05 2002 - nashif@suse.de
- Updated documentation. now with a reference
- 2.5.13
* Mon Feb 04 2002 - nashif@suse.de
- Fixed documentation and images
- 2.5.12
* Mon Feb 04 2002 - nashif@suse.de
- Partitioning modifications
- Code cleanup
- 2.5.11
* Mon Jan 28 2002 - nashif@suse.de
- X11 configuration updates
- Package selection updates
- Bootloader configuration finalized
- 2.5.10
* Fri Jan 25 2002 - nashif@suse.de
- Option to initialize disks added
- Removed dependency on XML agent
- Updated docs
* Mon Jan 21 2002 - nashif@suse.de
- Adapted to latest version of YaST2
- non-SuSE package handling
- Post-install improvements( Mail)
- preview version
* Tue Jan 15 2002 - nashif@suse.de
- Handle packages in package module
- Fixed Makefile.am for documentation
- Mail directive parsing improvements
* Mon Jan 14 2002 - nashif@suse.de
- SGML Documentation
- control file changes (report directive )
* Sun Jan 13 2002 - nashif@suse.de
- X11 Support
- Various post-install additions (nis, nis+, mail, security etc.)
- XML Parser improvements
* Tue Jan 08 2002 - nashif@suse.de
- Added LVM Support
- Execute user-defined scripts before system first boot
- Make all the way to the login prompt :-)
* Thu Jan 03 2002 - nashif@suse.de
- Split module to installation and configuration parts
* Mon Nov 19 2001 - nashif@suse.de
- Fix lookup defaults
* Mon Oct 22 2001 - nashif@suse.de
- initial version
